
Redmine - Defect #19409

Cannot install Redmine 3.0.1 on Ubuntu 14.04.2

2015-03-17 22:03 - suvjunmd suvjunmd

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.1

Description

Following commands should be self-explanatory:

suvjunmd@ubuntu:/usr/share/redmine-3.0.1$ sudo RAILS_ENV=production rake db:migrate

Redmine requires Bundler 1.5.0 or higher (you're using 1.3.5).

Please update with 'gem update bundler'.

suvjunmd@ubuntu:/usr/share/redmine-3.0.1$ sudo gem update bundler

Updating installed gems

Nothing to update

suvjunmd@ubuntu:/usr/share/redmine-3.0.1$ bundle --version

Bundler version 1.8.5

suvjunmd@ubuntu:/usr/share/redmine-3.0.1$ sudo RAILS_ENV=production rake db:migrate

Redmine requires Bundler 1.5.0 or higher (you're using 1.3.5).

Please update with 'gem update bundler'.

Related issues:

Has duplicate Redmine - Defect #19469: Redmine 3.0.1 is not starting on Ubunt... Closed

Has duplicate Redmine - Defect #20682: what wrong with my redmine (error Redm... Closed

History

#1 - 2015-03-18 01:24 - Sergio RG

Maybe related... on Ubuntu 12.04

Bundle complete! 28 Gemfile dependencies, 48 gems now installed.

Gems in the groups development, test and rmagick were not installed.

Use `bundle show [gemname]` to see where a bundled gem is installed.

gusi@node:~/redmine-3.0.1$ rake generate_secret_token

gusi@node:~/redmine-3.0.1$ /home/gusi/.rvm/wrappers/ruby-2.2.0@rails4.2/ruby bin/rails server -p 3006 -e production

Could not find thread_safe-0.3.5 in any of the sources

Run `bundle install` to install missing gems.

gusi@node:~/redmine-3.0.1$ gem install thread_safe

Successfully installed thread_safe-0.3.5

Parsing documentation for thread_safe-0.3.5

Installing ri documentation for thread_safe-0.3.5

Done installing documentation for thread_safe after 0 seconds

1 gem installed

gusi@node:~/redmine-3.0.1$ /home/gusi/.rvm/wrappers/ruby-2.2.0@rails4.2/ruby bin/rails server -p 3006 -e production

Could not find thread_safe-0.3.5 in any of the sources

Run `bundle install` to install missing gems.

#2 - 2015-03-18 01:33 - Go MAEDA

suvjunmd, please try: sudo RAILS_ENV=production bundle exec rake db:migrate

Sergio RG, please try: bundle exec rails server -p 3006 -e production

#3 - 2015-03-18 10:29 - Sergio RG

Sergio RG, please try: bundle exec rails server -p 3006 -e production
 It works. Thanks!!!

#4 - 2015-03-18 11:26 - Go MAEDA

Thanks for your feedback.

I have updated RedmineInstall. Added bundle exec before rake and ruby command.

diff:

http://www.redmine.org/projects/redmine/wiki/RedmineInstall/diff?utf8=%E2%9C%93&version=234&version_from=233&commit=View+differences

#5 - 2015-03-18 11:35 - Go MAEDA

- Status changed from New to Needs feedback

#6 - 2015-03-18 19:34 - suvjunmd suvjunmd

The command sudo RAILS_ENV=production bundle exec rake db:migrate worked like a charm. Next I did sudo RAILS_ENV=production

bundle exec rake redmine:load_default_data and considered the installation phase complete. But when trying to access Redmine an error

message appeared:

Web application could not be started

Redmine requires Bundler 1.5.0 or higher (you're using 1.3.5).

Please update with 'gem update bundler'. (SystemExit)

  /usr/share/redmine-3.0.1/Gemfile:4:in `abort'

  /usr/share/redmine-3.0.1/Gemfile:4:in `eval_gemfile'

  /usr/lib/ruby/vendor_ruby/bundler/dsl.rb:30:in `instance_eval'

  /usr/lib/ruby/vendor_ruby/bundler/dsl.rb:30:in `eval_gemfile'

  /usr/lib/ruby/vendor_ruby/bundler/dsl.rb:9:in `evaluate'

  /usr/lib/ruby/vendor_ruby/bundler/definition.rb:19:in `build'

  /usr/lib/ruby/vendor_ruby/bundler.rb:148:in `definition'

  /usr/lib/ruby/vendor_ruby/bundler.rb:116:in `setup'

  /usr/lib/ruby/vendor_ruby/bundler/setup.rb:17:in `<top (required)>'

  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:245:in `block in run_load_path_setup_co

de'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:348:in `running_bundler'

  /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:243:in `run_load_path_setup_code'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:100:in `preload_app'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:158:in `<module:App>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<module:PhusionPassenger>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:28:in `<main>'

#7 - 2015-03-18 23:32 - Go MAEDA

Please upgrade bundler command by running the following command as the error message says.

gem update bundler

#8 - 2015-03-19 05:28 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

#9 - 2015-03-25 04:04 - Toshi MARUYAMA

- Has duplicate Defect #19469: Redmine 3.0.1 is not starting on Ubuntu 14.04.2 added

#10 - 2015-04-08 03:24 - H W

Hi, I have the same problem.

Redmine requires Bundler 1.5.0 or higher (you're using 1.3.5).

 But

$ bundle -v

 gives

Bundler version 1.9.2
 And gem list also lists bundler as version 1.9.2

#11 - 2015-06-03 16:34 - Youichi Okada

I got similar problem.

The system has 2 bundle version.

shell > where bundle

/usr/bin/bundle

/usr/local/bin/bundle

shell> /usr/bin/bundle -v

Bundler version 1.3.5

shell> /usr/local/bin/bundle

Bundler version 1.10.2

 Redmine is running on apahce, and apache's PATH environment /usr/local/bin is prior to /usr/bin.

--- from error message ---

Environment variables

APACHE_RUN_DIR = /var/run/apache2

APACHE_PID_FILE = /var/run/apache2/apache2.pid

PATH = /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

---

 It looks ruby's path cognizancing problem or I fail the path.

I already have newer bunder from gem so I deinstall bundler at ubuntu's apt package.

shell> sudo aptitude purge bundler

 Then it works well.

#12 - 2015-09-06 05:46 - Toshi MARUYAMA

- Has duplicate Defect #20682: what wrong with my redmine (error Redmine requires Bundler 1.5.0 or higher (you're using 1.3.5).) added
